import request from '@/utils/request'

// ******商家列表******
// 提现申请管理查询
export function withdrawalGetAll(data) {
  return request({
    url: '/withdrawal/getAll',
    method: 'post',
    data
  })
}

// 提现申请查看
export function withdrawalGetById(data) {
  return request({
    url: '/withdrawal/getById',
    method: 'post',
    data
  })
}

// 代金券提现查看
export function withdrawalGetById2(data) {
  return request({
    url: '/withdrawal/getById2',
    method: 'post',
    data
  })
}


// 查询惠市宝订单的分账信息
export function getWithdrawalHsbOrderDistribution(params) {
  return request({
    url: '/withdrawal/getHsbOrderDistribution',
    method: 'get',
    params
  })
}

// 针对惠市宝订单的结算尝试确认收货
export function updateWithdrawalTryConfirmSn(params) {
  return request({
    url: '/withdrawal/tryConfirmHsbOrderBySettlementSn',
    method: 'get',
    params
  })
}

// 提现申请处理
export function withdrawalHandle(data) {
  return request({
    url: '/withdrawal/handle',
    method: 'post',
    data
  })
}

// 支付流水号查询
export function getPaymentNumber(data) {
  return request({
    url: '/logs/getAll',
    method: 'post',
    data
  })
}

// 商家提现处理通联查询
export function updateWithdrawalByAllinpay(data) {
  return request({
    url: '/withdrawal/getByAllinpay',
    method: 'post',
    data
  })
}

// 查看订单分佣列表
export function getWithdrawalCommissionList(data) {
  return request({
    url: '/withdrawal/commissionList',
    method: 'post',
    data
  })
}


//  获取提现的账户信息
export function getWithdrawalAccount(params) {
  return request({
    url: '/idcard/listByShopIds',
    method: 'get',
    params
  })
}